//---------------------------------------------------------------------------
#ifndef f_scriptH
#define f_scriptH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TScriptForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl;
        TTabSheet *Interactive;
        TEdit *Path;
        TButton *ClickMenuItem;
        TButton *SetCheckbox;
        TButton *GetEditText;
        TButton *SetEditText;
        TButton *GetCheckbox;
        TButton *ClickButton;
        TEdit *Value;
        TButton *SetActivePage;
        TListBox *Hierarchy;
        TListBox *Property;
        TLabel *Label1;
        TLabel *Label2;
        TCheckBox *Asynchronous;
        TTabSheet *Script;
        TMemo *ScriptMemo;
        TButton *bRedraw;
        TTabSheet *About;
        TLabel *Label3;
        TImage *Image1;
        TImage *Image2;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        void __fastcall bRedrawClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall HierarchyClick(TObject *Sender);
        void __fastcall HierarchyKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall ClickMenuItemClick(TObject *Sender);
        void __fastcall ClickButtonClick(TObject *Sender);
        void __fastcall GetEditTextClick(TObject *Sender);
        void __fastcall GetCheckboxClick(TObject *Sender);
        void __fastcall SetEditTextClick(TObject *Sender);
        void __fastcall SetCheckboxClick(TObject *Sender);
        void __fastcall SetActivePageClick(TObject *Sender);
        void __fastcall ScriptMemoKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:		// User declarations
        TIToolServices *tools;
        __fastcall TScriptForm(TComponent* Owner);
        __fastcall ~TScriptForm();
        void __fastcall Redraw(AnsiString s);
        void __fastcall Up();
        void __fastcall Failed();
        bool __fastcall IsWarningNeeded(AnsiString s);
        void __fastcall ReadyAsynchrony();
        void __fastcall AfterAsynchrony(TObject*Sender);
};
//---------------------------------------------------------------------------
extern PACKAGE TScriptForm *ScriptForm;
//---------------------------------------------------------------------------
#endif
